aboutsummaryrefslogtreecommitdiffstats
path: root/deployments/start-dev.sh
diff options
context:
space:
mode:
authorBin Yang <bin.yang@windriver.com>2019-06-10 00:49:09 +0000
committerGerrit Code Review <gerrit@onap.org>2019-06-10 00:49:09 +0000
commit048bfa9ec8e815369666eec6e662af3b0cb2e3cb (patch)
tree3c233301def7e97132051734c2b43985ba4ab88a /deployments/start-dev.sh
parentf006c55c0793a0cacac5aa45ba7f13fd5c6ef5f4 (diff)
parentd311b7ef3feb598daf9172cc292f06ae5daeb4d5 (diff)
Merge "Starting of k8splugin with docker-compose is broken"
Diffstat (limited to 'deployments/start-dev.sh')
-rwxr-xr-xdeployments/start-dev.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/deployments/start-dev.sh b/deployments/start-dev.sh
new file mode 100755
index 00000000..c4b0cbc4
--- /dev/null
+++ b/deployments/start-dev.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright 2019 © Samsung Electronics Co., Ltd.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+source _functions.sh
+
+#
+# Start k8splugin from compiled binaries to foreground. This is usable for development use.
+#
+source /etc/environment
+k8s_path="$(git rev-parse --show-toplevel)"
+
+stop_all
+start_mongo
+
+echo "Compiling source code"
+pushd $k8s_path/src/k8splugin/
+generate_k8sconfig
+make all
+./k8plugin
+popd